--- gdk/quartz/gdkdisplaylinksource.c.orig	2023-04-26 17:34:57.000000000 -0400
+++ gdk/quartz/gdkdisplaylinksource.c	2023-04-26 17:36:06.000000000 -0400
@@ -26,6 +26,12 @@
 #include "gdkinternal-quartz.h"
 #include "gdkdisplaylinksource.h"
 
+#if MAC_OS_X_VERSION_MIN_REQUIRED < 101200
+#define GDK_QUARTZ_APPLICATION_DEFINED NSApplicationDefined
+#else
+#define GDK_QUARTZ_APPLICATION_DEFINED NSEventTypeApplicationDefined
+#endif
+
 static gint64 host_to_frame_clock_time (gint64 host_time);
 
 static gboolean
@@ -126,7 +132,7 @@
        * the select thread which would then send this message as
        * well. Lots of extra work.
        */
-      event = [NSEvent otherEventWithType: NSEventTypeApplicationDefined
+      event = [NSEvent otherEventWithType: GDK_QUARTZ_APPLICATION_DEFINED
                                  location: NSZeroPoint
                             modifierFlags: 0
                                 timestamp: 0
